package com.schoolinout.system.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @author sakura
 * @date 2024/1/4 10:10:31 Thu
 */
@Schema(name = "绑定教师和班级实体")
public class AddTeacherClassRelationDto {

    @NotNull(message = "所属学校不能为空")
    private Long schoolId;

    @NotNull(message = "教师不能为空")
    private Long teacherId;
    
    private List<Long> classId;

    @Override
    public String toString() {
        return "AddTeacherClassRelationDto{" +
                "schoolId=" + schoolId +
                ", teacherId=" + teacherId +
                ", classId=" + classId +
                '}';
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Long teacherId) {
        this.teacherId = teacherId;
    }

    public List<Long> getClassId() {
        return classId;
    }

    public void setClassId(List<Long> classId) {
        this.classId = classId;
    }
}
